<div euiInputGroup>
  <div class="eui-input-group-addon">
    <input
      (ngModelChange)="handleValueChange($event)"
      [(ngModel)]="model"
      [euiClearable]="true"
      class="tc-input"
      euiInputText
      placeholder="{{ column?.placeholder | translate }}" />
    <div class="icn eui-input-group-addon-item" *ngIf="design === 'light'">
      <eui-icon-svg set="eui" icon="eui-search" [size]="'s'" fillColor="neutral-lighter"></eui-icon-svg>
    </div>
    <button euiButton euiPrimary euiIconButton *ngIf="design !== 'light'">
      <eui-icon-svg set="eui" icon="eui-search" [size]="'s'" fillColor="neutral-lighter"></eui-icon-svg>
    </button>
  </div>
</div>
